Get all vendors by property ID
https://api.propexo.com/v1/vendors/properties/:property_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
- Array [
- Array [
- ]
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the vendor
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
The external ID of the property from the integration vendor
The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The account number associated with the vendor
Whether the vendor is active
The name associated with the vendor
Notes associated with the vendor
The tax payer identification number associated with the vendor
A unique value provided to the PMS to uniquely identify the vendor from your system.
The type associated with the vendor
contacts object[]required
The first address line associated with the vendor
The second address line associated with the vendor
The city associated with the vendor
The country associated with the vendor
The state associated with the vendor
The zip code associated with the vendor
Primary phone number associated with the vendor
Type of the primary phone number
The primary email address associated with the vendor
Whether the vendor is the primary record
The name associated with the vendor
custom_data object | nullrequired
The Propexo unique identifier for the integration
The property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe Propexo unique identifier for the property
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/vendors/properties/:property_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"account_number": "string",
"is_active": true,
"name": "string",
"notes": "string",
"tax_id": "string",
"third_party_id": "string",
"type": "string",
"contacts": [
{
"address_1": "string",
"address_2": "string",
"city": "string",
"country": "string",
"state": "string",
"zip": "string",
"phone": "string",
"phone_type": "string",
"email": "string",
"is_primary": true,
"name": "string"
}
],
"custom_data": "Unknown Type: object,null",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"property_id": "string"
}
]
}